---
title: "element-call"

description: "Run Element-Call and his dependencies"

---

# element-call

![Version: 0.1.7](https://img.shields.io/badge/Version-0.1.7-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: 0.7.1](https://img.shields.io/badge/AppVersion-0.7.1-informational?style=flat-square)

Run Element-Call and his dependencies

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| WrenIX |  | <https://wrenix.eu> |

## Usage

Helm must be installed and setup to your kubernetes cluster to use the charts.
Refer to Helm's [documentation](https://helm.sh/docs) to get started.
Once Helm has been set up correctly, fetch the charts as follows:

```bash
helm pull oci://codeberg.org/wrenix/helm-charts/element-call
```

You can install a chart release using the following command:

```bash
helm install element-call-release oci://codeberg.org/wrenix/helm-charts/element-call --values values.yaml
```

To uninstall a chart release use `helm`'s delete command:

```bash
helm uninstall element-call-release
```

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| autoscaling.enabled | bool | `false` |  |
| autoscaling.maxReplicas | int | `100` |  |
| autoscaling.minReplicas | int | `1` |  |
| autoscaling.targetCPUUtilizationPercentage | int | `80` |  |
| fullnameOverride | string | `""` |  |
| global.image.pullPolicy | string | `nil` | if set it will overwrite all pullPolicy |
| global.image.registry | string | `nil` | if set it will overwrite all registry entries |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.className | string | `""` |  |
| ingress.enabled | bool | `false` |  |
| ingress.tls | list | `[]` |  |
| nameOverride | string | `""` |  |
| service.call.affinity | object | `{}` |  |
| service.call.config | object | `{}` |  |
| service.call.image.pullPolicy | string | `"IfNotPresent"` |  |
| service.call.image.registry | string | `"ghcr.io"` |  |
| service.call.image.repository | string | `"element-hq/element-call"` |  |
| service.call.image.tag | string | `nil` | Overrides the image tag whose default is the chart appVersion. |
| service.call.ingress.host | string | `nil` |  |
| service.call.livenessProbe.httpGet.path | string | `"/"` |  |
| service.call.livenessProbe.httpGet.port | string | `"http"` |  |
| service.call.networkPolicy.egress.enabled | bool | `true` | activate egress no networkpolicy |
| service.call.networkPolicy.egress.extra | list | `[]` | egress rules |
| service.call.networkPolicy.enabled | bool | `false` |  |
| service.call.networkPolicy.ingress.http | list | `[]` | ingress for http port (e.g. ingress-controller) |
| service.call.nodeSelector | object | `{}` |  |
| service.call.podAnnotations | object | `{}` |  |
| service.call.podLabels | object | `{}` |  |
| service.call.podSecurityContext | object | `{}` |  |
| service.call.readinessProbe.httpGet.path | string | `"/"` |  |
| service.call.readinessProbe.httpGet.port | string | `"http"` |  |
| service.call.replicaCount | int | `1` |  |
| service.call.resources | object | `{}` |  |
| service.call.securityContext | object | `{}` |  |
| service.call.serviceAccount.annotations | object | `{}` |  |
| service.call.serviceAccount.automount | bool | `true` |  |
| service.call.serviceAccount.create | bool | `true` |  |
| service.call.serviceAccount.name | string | `""` |  |
| service.call.tolerations | list | `[]` |  |
| service.lkJWT.affinity | object | `{}` |  |
| service.lkJWT.config.key | string | `"devkey"` |  |
| service.lkJWT.config.secret | string | `"secret"` |  |
| service.lkJWT.config.url | string | `""` |  |
| service.lkJWT.enabled | bool | `true` |  |
| service.lkJWT.image.pullPolicy | string | `"IfNotPresent"` |  |
| service.lkJWT.image.registry | string | `"ghcr.io"` |  |
| service.lkJWT.image.repository | string | `"element-hq/lk-jwt-service"` |  |
| service.lkJWT.image.tag | string | `"sha-4a29504"` |  |
| service.lkJWT.ingress.host | string | `nil` |  |
| service.lkJWT.livenessProbe.httpGet.path | string | `"/healthz"` |  |
| service.lkJWT.livenessProbe.httpGet.port | string | `"http"` |  |
| service.lkJWT.networkPolicy.egress.enabled | bool | `false` | activate egress no networkpolicy |
| service.lkJWT.networkPolicy.egress.extra | list | `[]` | egress rules |
| service.lkJWT.networkPolicy.enabled | bool | `false` |  |
| service.lkJWT.networkPolicy.ingress.http | list | `[]` | ingress for http port (e.g. ingress-controller) |
| service.lkJWT.nodeSelector | object | `{}` |  |
| service.lkJWT.podAnnotations | object | `{}` |  |
| service.lkJWT.podLabels | object | `{}` |  |
| service.lkJWT.podSecurityContext | object | `{}` |  |
| service.lkJWT.readinessProbe.httpGet.path | string | `"/healthz"` |  |
| service.lkJWT.readinessProbe.httpGet.port | string | `"http"` |  |
| service.lkJWT.replicaCount | int | `1` |  |
| service.lkJWT.resources | object | `{}` |  |
| service.lkJWT.securityContext | object | `{}` |  |
| service.lkJWT.serviceAccount.annotations | object | `{}` |  |
| service.lkJWT.serviceAccount.automount | bool | `true` |  |
| service.lkJWT.serviceAccount.create | bool | `true` |  |
| service.lkJWT.serviceAccount.name | string | `""` |  |
| service.lkJWT.tolerations | list | `[]` |  |

Autogenerated from chart metadata using [helm-docs](https://github.com/norwoodj/helm-docs)

